Restore Global Config backup
POST
https://api.vercel.com/v1/global-config/{edgeConfigId}/backups/{edgeConfigBackupVersionId}/restoreRestores a Global Config backup.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.globalConfig.restoreEdgeConfigBackup({ edgeConfigId: "<id>", edgeConfigBackupVersionId: "<id>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "digest": "string", "previousDigest": "string", "restoredFrom": "string", "status": "ok"}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request query is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
404Error
409Error
410Error
412Error